%global srcname process-tests

Name:           python-%{srcname}
Version:        1.0.0
Release:        11%{?dist}
Summary:        Tools for testing processes

License:        BSD
URL:            https://github.com/ionelmc/python-process-tests
Source0:        https://pypi.python.org/packages/source/p/process-tests/process-tests-%{version}.tar.gz

BuildArch:      noarch

%description
Tools for testing processes.


%package -n python2-%{srcname}
Summary:        %{summary}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Tools for testing processes for Python 2.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
Tools for testing processes for Python 3.


%if 0%{?python3_other_pkgversion}
%package -n python%{python3_other_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{srcname}}

%description -n python%{python3_other_pkgversion}-%{srcname}
Tools for testing processes for Python 3.
%endif # python3_other_pkgversion


%prep
%autosetup -n %{srcname}-%{version}


%build
%{py2_build}
%{py3_build}
%{?python3_other_pkgversion: %{py3_other_build}}


%install
%{py2_install}
%{py3_install}
%{?python3_other_pkgversion: %{py3_other_install}}


%files -n python2-%{srcname}
%doc README.rst
%license LICENSE
%{python2_sitelib}/*

%files -n python%{python3_pkgversion}-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/process_tests*

%if 0%{?python3_other_pkgversion}
%files -n python%{python3_other_pkgversion}-%{srcname}
%doc README.rst
%license LICENSE
%{python3_other_sitelib}/__pycache__/*
%{python3_other_sitelib}/process_tests*
%endif # python3_other_pkgversion


%changelog
* Fri Mar 08 2019 Troy Dawson <tdawson@redhat.com> - 1.0.0-11
- Rebuilt to change main python from 3.4 to 3.6

* Tue Feb 12 2019 Scott K Logan <logans@cottsay.net> - 1.0.0-10
- Add Python 3.6 subpackage for EPEL 7

* Wed Aug 9 2017 Orion Poplawski <orion@cora.nwra.com> - 1.0.0-9
- Ship python2-process-tests
- Build for python3 on EPEL

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Dec 13 2016 Stratakis Charalampos <cstratak@redhat.com> - 1.0.0-6
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 06 2015 Robert Kuska <rkuska@redhat.com> - 1.0.0-3
- Rebuilt for Python3.5 rebuild

* Wed Jul 29 2015 Orion Poplawski <orion@cora.nwra.com> - 1.0.0-2
- Do not own python3 __pycache__ dir

* Wed Jul 29 2015 Orion Poplawski <orion@cora.nwra.com> - 1.0.0-1
- Initial package
